=== debian/changelog ===
freenx-server (2.1.4~20250818075756.17+trixie) unstable; urgency=low

  [ Dmitry Borisov ]
  * Add patches from Mario Fetka (@geosone) for debian trixie

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.1.4 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Mon, 18 Aug 2025 09:57:56 +0200

freenx-server (2.1.3) UNRELEASED; urgency=low

  * Fixing a funny misunderstanding with localization.

 -- Dmitry Borisov <i@dimbor.ru>  Wed, 08 Nov 2023 02:40:25 +0300

freenx-server (2.1.2) UNRELEASED; urgency=low

  * Fix ACL parsing (no globbing).

 -- Dmitry Borisov <i@dimbor.ru>  Tue, 05 Sep 2023 06:48:35 +0300

freenx-server (2.1.1) UNRELEASED; urgency=low

  * Shadow mode add view only on client request.
  * nxshadowacl add new keyword 'all'.

 -- Dmitry Borisov <i@dimbor.ru>  Sun, 19 Jun 2022 12:07:23 +0300

freenx-server (2.1.0) UNRELEASED; urgency=low

  * Shadow mode is worked now.
  * Readd nxshadowacl functionality.

 -- Dmitry Borisov <i@dimbor.ru>  Thu, 16 Jun 2022 22:39:43 +0300

freenx-server (2.0.0) UNRELEASED; urgency=low

  * Release with sqlite3 db engine.

 -- Dmitry Borisov <i@dimbor.ru>  Fri, 27 May 2022 20:04:11 +0300

freenx-server (1.0.0) UNRELEASED; urgency=low

  * Initial release.

 -- Dmitry Borisov <i@dimbor.ru>  Fri, 27 Dec 2019 00:21:36 +0300
