## freenx-server 2.1.4~20250818075805.17%2Bbullseye

=== debian/changelog ===
freenx-server (2.1.4~20250818075805.17+bullseye) unstable; urgency=low

  [ Dmitry Borisov ]
  * Add patches from Mario Fetka (@geosone) for debian trixie

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.1.4 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Mon, 18 Aug 2025 09:58:05 +0200
